SNAPS and DYN INPUT shortcut
Hi there, I have two questions:
1. I was wondering if it's possible to stretch a line using his grips for a custom value, instead of specifying the full line length. This is without disabling dynamic input. Probably there is a custom key that allows that?
2. for SNAPS, is it possible to activate them for the next point as it happens in autocad with CTRL+RIGHT CLICK?
Thanks, Dennis
1. I was wondering if it's possible to stretch a line using his grips for a custom value, instead of specifying the full line length. This is without disabling dynamic input. Probably there is a custom key that allows that?
2. for SNAPS, is it possible to activate them for the next point as it happens in autocad with CTRL+RIGHT CLICK?
Thanks, Dennis
0
Comments
-
1. If you enter a distance while drag-stretching any grip, the grip will be moved:
- the specified distance from the grip's original location
- in the direction of the drag-stretch, at the moment you pressed Enter or Space.
2. You can right-click during any command and select "Entity Snap Overrides." You might have to hold the right-click for half a second to make the context menu pop up (instead of having the right-click be interpreted as an Enter).0 -
Some commands support transparent commands, like LIne pt1 '1 then pick a end pt. The '1 is a transparent command where a lisp defun has been made called c:1 it in turn sets osmode where 1 is snap end only
eg
(defun C:15 ()(setvar "osmode" 15359)) ; sets all snaps on
(defun C:47 ()(setvar "osmode" 47)(setvar "AUNITS" 0))
(defun C:99 ()(setvar "osmode" 99))
(defun C:8 ()(setvar "osmode" 8)) ; node
(defun C:1 ()(setvar "osmode" 1)) ; set to end
(defun C:9 ()(setvar "osmode" 9)) ; end and node
(defun C:0 ()(setvar "osmode" 0))0 -
Alan, I use something like that too. It serves both as an osnap override and as an osnap setting.
If a command is active, it's an override. If not, it's a setting.
;;; --- "aOsnap" -----------------------------------------
;;; --- Osnap command only if no command is active (otherwise nil),
;;; so that a macro of the form "aOsnap per,endp "
;;; can function either as an object snap setting or an object snap override,
;;; depending on when it's used.
(defun c:aOsnap () (if (= (getvar "cmdactive") 0 ) (command "-Osnap") ) )
I have a few alt-key combinations assigned to the osnap combinations that I use:
alt-W = 'aOsnap INT,ENDp,MID,CEN,QUA,NEA,NOD_
alt-X = 'aOsnap PER_ (because PER doesn't play well with others)
alt-T = 'aOsnap TAN_
alt-E - 'aOsnap NON_0 -
I think you are looking for shift-rightclick (Auto CAD uses both shift-rightclick and ctrl-rightclick)0